org.apache.ignite.lang

## Interface IgniteOutClosure<T>

Type Parameters:
  `T` - Type of return value from this closure.

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  CO<T>, IgniteReducer2<E1,E2,R>, IgniteReducer3<E1,E2,E3,R>, R2<E1,E2,R>, R3<E1,E2,E3,R>

All Known Implementing Classes:
  COX, IgniteOutClosureX, IgniteReducer2X, IgniteReducer3X, RX2, RX3

    public interface IgniteOutClosure<T>
    extends Serializable

Closure that does not take any parameters and returns a value.

### Method Summary

Methods
`T` `apply()` Closure body.

### Method Detail

#### apply

    T apply()

Closure body.

Returns:
  Return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015